Package org.wso2.carbon.registry.admin.api.activities

## Interface IActivityService<ActivityBean>

- Type Parameters:
    `ActivityBean` - a bean object containing the list of registry activities.

      public interface IActivityService<ActivityBean>

  Provides functionality to list activities on the back-end registry instance.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ActivityBean` | `getActivities​(String userName, String resourcePath, String fromDate, String toDate, String filter, String pageStr, String sessionId)` | Method to obtain the list of activities that took place on the back-end registry.

- - ### Method Detail

    - #### getActivities

          ActivityBean getActivities​(String userName,
                                     String resourcePath,
                                     String fromDate,
                                     String toDate,
                                     String filter,
                                     String pageStr,
                                     String sessionId)
                              throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Method to obtain the list of activities that took place on the back-end registry.
      Parameters:
        `userName` - the name of the user for which we are interested in obtaining the list of activities.
        `resourcePath` - the resource path which we are interested in.
        `fromDate` - this parameter can be used to obtain activities starting from a given date.
        `toDate` - this parameter can be used to obtain activities up to a given date.
        `filter` - the type of filter to be used, to only get activities of a particular type.
        `pageStr` - a string used for pagination. This parameter is not used in the current search API.
        `sessionId` - a session identifier. This parameter is not used in the current search API.
      Returns:
        a list of activities that match the given search criteria.
      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException` - if the operation failed.